/* 
 *  =================================================================
 *  TestColoredCircle(): Test interface methods in ColoredCircle.
 * 
 *  Written By: Mark Austin                             February 2019
 *  =================================================================
 */

package objects;

import java.awt.Color;

public class TestColoredCircle {

    public static void main( String [] args ) {

       System.out.println("Run objects.TestColoredCircle() ... ");
       System.out.println("=======================================");

       // Create, initialize, and print circle "cA" ...

       ColoredCircle cA = new ColoredCircle();
       cA.setX( 1.0 );
       cA.setY( 1.0 );
       cA.setRadius( 1.0 );
       cA.setColor( Color.blue );

       System.out.println( "Circle cA:" + cA.toString() );

       // Retrieve and print colors ...

       System.out.println( cA.getColors() );

       // Create, initialize, and print circle "cB" ...

       ColoredCircle cB = new ColoredCircle( -1.0, -2.0, 3.0, Color.orange );
       System.out.println( "Circle cB:" + cB.toString() );
       System.out.println( cB.getColors() );
    }
}
