/*
 *  =====================================================================
 *  TestFunction02.java: Exercise Function compose() method ...  
 *  =====================================================================
 */

package lambda;

import java.util.function.Function;

public class TestFunction02 {
   public static void main(String[] args) {
      Function<Integer,String> converter = (i)-> Integer.toString(i);
      Function<String, Integer>  reverse = (s)-> Integer.parseInt(s);

      System.out.printf("--- Part 1: Demonstrate converter.apply(3).length() ...\n");

      System.out.println( converter.apply(3).length() );

      System.out.printf("--- Part 2: Demonstrate converter.compose(reverse).apply(\"3000\").length() ...\n");

      System.out.println( converter.compose(reverse).apply("3000").length() );
   }
}
