/*
 * =======================================================================
 * TestSupplier03.java: Demonstrate how to assign a user defined function
 *                      to a Supplier with a method reference.
 * =======================================================================
 */

package lambda;

import java.util.function.Supplier;

public class TestSupplier03 {
   public static void main(String[] args) {
      Supplier<Student> studentGenerator = TestSupplier03::employeeMaker;

      for (int i = 0; i < 10; i++) {
         System.out.println("#" + i + ": " + studentGenerator.get());
      }
   }

   public static Student employeeMaker() {
      return new Student("A",2);
   }
}
