/*
 * ======================================================
 * TestSigmoidFunction.java: Evaluate sigmoid function.
 * 
 * Written by: Mark Austin                 September, 2020 
 * =======================================================
 */

package neural;

import java.lang.Math.*;

public class TestSigmoidFunction {

   // main method ...

   public static void main (String args[] ) {
      System.out.printf("--- Enter TestSigmoidFunction.main()   ...\n");
      System.out.printf("--- ================================== ...\n");

      // main loop to evaluate and print sigmoid function ...

      for ( double x = -10.0; x <= 10.0; x = x + 0.5 ) {
          System.out.printf("--- sigmoid(%6.2f) --> %14.10f \n", x, sigmoid(x) );
      }

      System.out.printf("--- ================================== ...\n");
      System.out.printf("--- Leave TestSigmoidFunction.main()   ...\n");
   }

   // method to compute sigmoid function ...

   public static double sigmoid ( double x ) {
      return 1/(1 + Math.exp(-x));
   }
}
